2 posts / 0 new / Last post
#1  January 14, 2011 - 4:33pm
luket.8085's picture
Offline
Joined: Dec 2010
Posts: 1
Kudos: 0

Help i keep getting the following message when attempting to download seasonpass:

You cannot use this version of the application SeasOnPass with this version of Mac OS X.

Im running leopard do i need snow leopard?

 

thanks,

L

  January 14, 2011 - 4:59pm
bdguitarhero's picture
Offline
Joined: Jan 2011
Posts: 7
Kudos: 0

I believe you need Snow Leopard